package com.ruoyi.shipping.excel;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * @Author ZhaoQian La
 * @Date 2021/5/19 11:07
 * @Version 1.0
 */
public class TWarehousebillsCntritemsExcel{
    private static final long serialVersionUID = 1L;
    /** 箱号 */
    @Excel(name = "箱号")
    private String fCntrno;

    /** 封号 */
    @Excel(name = "铅封号")
    private String fSealno;

    /** 取品名表的id */
    /*@Excel(name = "取品名表的id")*/
    private Long fGoodsid;

    /** 包装(取数据字典) */
    /*@Excel(name = "包装(取数据字典)")*/
    private String fPackageid;

    /** 箱型(t_cntr 集装箱id) */
    /*@Excel(name = "箱型(t_cntr 集装箱id)")*/
    private Long fCntrid;
    /** 单箱重(吨不能超过40) */
    @Excel(name = "单箱重(不得超过40)")
    private BigDecimal fCntrweight;
    @Excel(name = "货名")
    private String goodsName;
    //包装中文名
    @Excel(name = "包装类型")
    private String packageName;
    //集装箱编号
    @Excel(name = "箱型")
    private String cntrName;

    public String getfCntrno() {
        return fCntrno;
    }

    public void setfCntrno(String fCntrno) {
        this.fCntrno = fCntrno;
    }

    public String getfSealno() {
        return fSealno;
    }

    public void setfSealno(String fSealno) {
        this.fSealno = fSealno;
    }

    public Long getfGoodsid() {
        return fGoodsid;
    }

    public void setfGoodsid(Long fGoodsid) {
        this.fGoodsid = fGoodsid;
    }

    public String getfPackageid() {
        return fPackageid;
    }

    public void setfPackageid(String fPackageid) {
        this.fPackageid = fPackageid;
    }

    public Long getfCntrid() {
        return fCntrid;
    }

    public void setfCntrid(Long fCntrid) {
        this.fCntrid = fCntrid;
    }

    public BigDecimal getfCntrweight() {
        return fCntrweight;
    }

    public void setfCntrweight(BigDecimal fCntrweight) {
        this.fCntrweight = fCntrweight;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public String getCntrName() {
        return cntrName;
    }

    public void setCntrName(String cntrName) {
        this.cntrName = cntrName;
    }

    @Override
    public String toString() {
        return "TWarehousebillsCntritemsExcel{" +
                "fCntrno='" + fCntrno + '\'' +
                ", fSealno='" + fSealno + '\'' +
                ", fGoodsid=" + fGoodsid +
                ", fPackageid='" + fPackageid + '\'' +
                ", fCntrid=" + fCntrid +
                ", fCntrweight=" + fCntrweight +
                ", goodsName='" + goodsName + '\'' +
                ", packageName='" + packageName + '\'' +
                ", cntrName='" + cntrName + '\'' +
                '}';
    }
}
